# LineStyleGeometryModifier(LineStyleModifier)

base classes — `bpy_struct`, `LineStyleModifier`

subclasses — `LineStyleGeometryModifier_2DOffset`, `LineStyleGeometryModifier_2DTransform`, `LineStyleGeometryModifier_BackboneStretcher`, `LineStyleGeometryModifier_BezierCurve`, `LineStyleGeometryModifier_Blueprint`, `LineStyleGeometryModifier_GuidingLines`, `LineStyleGeometryModifier_PerlinNoise1D`, `LineStyleGeometryModifier_PerlinNoise2D`, `LineStyleGeometryModifier_Polygonalization`, `LineStyleGeometryModifier_Sampling`, `LineStyleGeometryModifier_Simplification`, `LineStyleGeometryModifier_SinusDisplacement`, `LineStyleGeometryModifier_SpatialNoise`, `LineStyleGeometryModifier_TipRemover`

class `bpy.types.``LineStyleGeometryModifier`(LineStyleModifier)

  Base type to define stroke geometry modifiers

  classmethod `bl_rna_get_subclass`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The RNA type or default when not found.
    Return type: | `bpy.types.Struct` subclass

  classmethod `bl_rna_get_subclass_py`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The class or default when not found.
    Return type: | type

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_overridable_library` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.pop` `bpy_struct.property_overridable_library_set` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`FreestyleLineStyle.geometry_modifiers` `LineStyleGeometryModifiers.new` | `LineStyleGeometryModifiers.remove`